## org.h2.dev.util
Class FileContentHash

    java.lang.Object
      org.h2.dev.util.FileContentHash

    public class FileContentHash

extends java.lang.Object

A utility to calculate the content hash of files. It should help detect duplicate files and differences between directories.

Constructor Summary
`FileContentHash()`

Method Summary
`static void` `main(java.lang.String... args)` Run the viewer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileContentHash

    public FileContentHash()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

  Run the viewer.

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.io.IOException`